Skip to content

GET Status of Terraform for view.

GET
/api/config/namespaces/{namespace}/terraform_parameters/{view_kind}/{view_name}/status
curl --request GET \
--url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/config/namespaces/example/terraform_parameters/example/example/status \
--header 'Authorization: <Authorization>'

Returned from list of terraform parameter status objects for a given view.

Examples of this operation.

namespace
required
string

Namespace Namespace for the label to be retrieved.

view_kind
required
string

Kind of View Kind of view of which terraform parameters are requested e.g. Aws_vpc_site, azure_vnet_site.

view_name
required
string

Name of view Name of the view for which terraform parameters are requested.

A successful response.

Media typeapplication/json
GetStatusResponse

Response for GetStatus API.

object
status
object
apply_status
object
apply_state
string
default: APPLIED
Allowed values: APPLIED APPLY_ERRORED APPLY_INIT_ERRORED APPLYING APPLY_PLANNING APPLY_PLAN_ERRORED APPLY_QUEUED
container_version
container_version

Container image version.

string
<= 1024 characters
destroy_state
string
default: DESTROYED
Allowed values: DESTROYED DESTROY_ERRORED DESTROYING DESTROY_QUEUED
error_output
error_output

Error output of terraform run.

string
<= 1024 characters
infra_state
string
default: PROVISIONED
Allowed values: PROVISIONED TIMED_OUT ERRORED PROVISIONING
modification_timestamp
modification_timestamp

ModificationTimestamp is a timestamp representing the server time when this status was last modified.

string format: date-time
<= 1024 characters
suggested_action
suggested_action

Suggested action for customer on error.

string
<= 1024 characters
tf_output
tf_output

The value of an “output” variable from the terraform state file.

string
<= 1024 characters
tf_stdout
tf_stdout

The stdout of terraform apply command.

string
<= 1024 characters
conditions
conditions

Conditions reported by various components of the system.

Array<object>
ConditionType

Conditions are used in the object status to describe the current state of the object, e.g. Ready, Succeeded, etc.

object
hostname
hostname

Hostname of the instance of the site that sent the status.

string
<= 1024 characters
last_update_time
last_update_time

Last time the condition was updated.

string format: date-time
<= 1024 characters
reason
reason

A human readable string explaining the reason for reaching this condition.

string
>= 27 characters <= 1024 characters
service_name
service name

Name of the service that sent the status.

string
<= 1024 characters
status
status

Status of the condition “Success” Validation has succeeded. Requested operation was successful. “Failed” Validation has failed. “Incomplete” Validation of configuration has failed due to missing configuration. “Installed” Validation has passed and configuration has been installed in data path or K8s “Down” Configuration is operationally down. E.g. Down interface “Disabled” Configuration is administratively disabled i.e. objectmetatype.disable = true. “NotApplicable” Configuration is not applicable e.g. Tenant service_policy_set(s) in system namespace are not applicable on REs.

string
>= 17 characters <= 1024 characters
type
type

Type of the condition “Validation” represents validation user given configuration object “Operational” represents operational status of a given configuration object.

string
<= 1024 characters
metadata
object
creation_timestamp
creation_timestamp

Creation_timestamp is when the status object was created. It is used to find/tie-break for latest status object from same origin.

string format: date-time
<= 1024 characters
creator_class
creator_class

Class of creator which created this StatusObject. This will be service’s DNS FQDN. This will be set by the system based on client certificate information.

string
<= 1024 characters
creator_id
creator_id

ID of creator which created this StatusObject. This will be a concrete identifier for service (e.g. Identifying the environment also). This will be set by the system based on client certificate information.

string
<= 1024 characters
publish
string
default: STATUS_DO_NOT_PUBLISH
Allowed values: STATUS_DO_NOT_PUBLISH STATUS_PUBLISH
status_id
status_id

Status_id is a field used by the generator to distinguish (if necessary) between two status objects for the same config object from the same site and same service and potentially same daemon(creator-ID)

string
<= 1024 characters
uid
uid

Uid is the unique in time and space value for a StatusObject.

string format: uuid
>= 36 characters <= 1024 characters
vtrp_id
vtrp_id

Origin of this status exchanged by VTRP.

string
<= 1024 characters
vtrp_stale
vtrp_stale

Indicate whether mars deems this object to be stale via graceful restart timer information.

boolean format: boolean
object_refs
object_refs

View terraform parameters object reference for which this status object is generated.

Array<object>
ObjectRefType

This type establishes a ‘direct reference’ from one object(the referrer) to another(the referred). Such a reference is in form of tenant/namespace/name for public API and Uid for private API This type of reference is called direct because the relation is explicit and concrete (as opposed to selector reference which builds a group based on labels of selectee objects)

object
kind
kind

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then kind will hold the referred object’s kind (e.g. “route”)

string
>= 12 characters <= 1024 characters
name
name

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then name will hold the referred object’s(e.g. Route’s) name.

string
>= 6 characters <= 1024 characters
namespace
namespace

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then namespace will hold the referred object’s(e.g. Route’s) namespace.

string
>= 6 characters <= 1024 characters
tenant
tenant

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then tenant will hold the referred object’s(e.g. Route’s) tenant.

string
>= 6 characters <= 1024 characters
uid
uid

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then uid will hold the referred object’s(e.g. Route’s) uid.

string format: uuid
>= 36 characters <= 1024 characters
plan_status
object
error_output
error_output

Error output of terraform run.

string
<= 1024 characters
infra_state
string
default: PROVISIONED
Allowed values: PROVISIONED TIMED_OUT ERRORED PROVISIONING
modification_timestamp
modification_timestamp

ModificationTimestamp is a timestamp representing the server time when this status was last modified.

string format: date-time
<= 1024 characters
plan_state
string
default: PLANNING
Allowed values: PLANNING PLAN_ERRORED NO_CHANGES HAS_CHANGES DISCARDED PLAN_INIT_ERRORED PLAN_QUEUED
suggested_action
suggested_action

Suggested action for customer on error.

string
<= 1024 characters
tf_plan_output
tf_plan_output

Terraform “plan” command output. Terraform performs a refresh, unless explicitly disabled, and then determines what actions are necessary to achieve the desired state specified in the configuration files.

string
<= 1024 characters
Example
{
"status": {
"apply_status": {
"apply_state": "APPLIED",
"destroy_state": "DESTROYED",
"infra_state": "PROVISIONED"
},
"metadata": {
"publish": "STATUS_DO_NOT_PUBLISH"
},
"plan_status": {
"infra_state": "PROVISIONED",
"plan_state": "PLANNING"
}
}
}

Returned when operation is not authorized.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when there is no permission to access resource.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when resource is not found.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation on resource is conflicting with current value.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation has been rejected as it is happening too frequently.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server encountered an error in processing API.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when service is unavailable temporarily.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server timed out processing request.

Media typeapplication/json
string format: string
Examplegenerated
example